﻿* Encoding: UTF-8.

** EVS 2017 SURVEY.
** SYNTAX for FOLLOW-UP REMOVAL
*** Apply this syntax if you want to analyze ONLY data of the the first round surveys (and drop the data of the second (follow-up) round survey). 

*Done by EVS 2017 Central Team in Tilburg by Angelica Maineri, 03/07/2019. 

*Reference.
****Dataset: EVS (2020): European Values Study 2017: Integrated Dataset – Matrix Design Data (EVS 2017 Matrix Design). 
****GESIS Data Archive, Cologne. ZA7502 Data file Version 2.0.0, doi:10.4232/1.13561. 

*********************
*** CONTENTS ***
*********************
* I. PREPARATION 
    *I.0. Define the source data and path to dataset.
    * I.1. GET the according file
* II. DEFINE variable blocks.
* III. MATRIX DESIGN REMOVAL follow up
* IV. Recode matrix groups.

********************************
*** I. PREPARATION     ***
********************************
*I.0. Define the source data and path to dataset.


* Directory paths.
***Path to source datasets.
define !path_IDS() "...." !enddefine.

* Data.
***Source data: define data_IDS.
define !data_IDS() !path_IDS + ".../ZA7502_v2-0-0-0.sav" !enddefine.



* I.1. GET the according file.
GET  FILE=!data_IDS.
DATASET NAME IDS WINDOW=FRONT.
DATASET ACTIVATE IDS.

FREQUENCIES mode mm_mixed_mode mm_matrix_group.


***********************************
*** II. DEFINE BLOCKS     ***
***********************************.

* BLOCK: CORE. 
DEFINE !varlist_CORE()
studyno doi version studynoc versionc id_cocas caseno year fw_start fw_end country c_abrv cntry_y mode
mm_select_sample mm_mixed_mode mm_mode_fu mm_matrix_group
mm_fw_start_fu mm_fw_end_fu mm_year_fu mr_detailed_mode_DE
mr_contact_mode_DE mr_incentive_DE v1 v2 v3 v4 v5 v6 v8 v31 v38 v39 v51 v52 v52_cs
v53 v54 v55 v102 v115 v118 v121 v128 v144 v169 v170 v184 v225 v226 age
age_r age_r2 age_r3 v227 v228b v228b_r v229 v230 v231b v231b_r v232 v233b
v233b_r v234 v235 v236 v237 v238 v239_r v239a v239b v240 v241 v242 v242_r v243_edulvlb
v243_edulvlb_2 v243_edulvlb_1 v243_ISCED_3 v243_ISCED_2 v243_ISCED_1 v243_EISCED
v243_r v243_cs v243_cs_DE1 v243_cs_DE2 v243_cs_DE3  v244 v245 v246_ISCO_2 v246_SIOPS 
v246_ISEI v246_ESeC v247 v248 v248a v249 v259
v260 v261  v275b_N2 v275b_N1 v275c_N2 v275c_N1 v276_r v277 mm_v277_fu
v278a v278b v278c_r v279a v279b v279c_r v279d_r mm_v278a_fu mm_v278b_fu
mm_v279a_fu mm_v279b_fu v280 v281a v281a_r v282 gweight pweight
mm_pweight ager_r_weight v225_weight v243_r_weight NUTS_weight 
!ENDDEFINE.

* BLOCK: A. 
DEFINE !varlist_A()
v40 v41 v42 v43 v44 v45 f45a v45a v45b v45c v46 f46_IT v48 v50 v65 v66 v67 v68 v69 v70 v71 v72 v72_DE v75
v75_DE v78 v78_DE v79 v79_DE v81 v82 v83 v84 f85 v85 v86 v87 v88 v89 v90 v91 v92 v93 v94 v95 f96 v96 v96a
v96b v113 v114 v250 v251b_r v252_edulvlb f252_edulvlb_CH v252_edulvlb_2 v252_edulvlb_1 
v252_ISCED_3 v252_ISCED_2 v252_ISCED_1 v252_EISCED v252_r v252_cs v252_cs_DE1
v252_cs_DE2 v252_cs_DE3 v253 v254 v255_ISCO_2
v255_SIOPS v255_ISEI v255_ESeC v256 v257 v258 v262_edulvlb v262_edulvlb_2 v262_edulvlb_1
v262_ISCED_3 v262_ISCED_2 v262_ISCED_1 v262_EISCED v262_r v262_cs v263_edulvlb v263_edulvlb_2
v263_edulvlb_1 v263_ISCED_3 v263_ISCED_2 v263_ISCED_1 v263_EISCED v263_r v263_cs
v262_cs_DE1 v262_cs_DE2 v262_cs_DE3 v263_cs_DE1 v263_cs_DE2 v263_cs_DE3
v264 v265 v266 v267 v268 v269 v270 v271 v272 v273 v274
!ENDDEFINE.
* v251b is excluded from the list because it is a string.

* BLOCK: B. 
DEFINE !varlist_B()
v7 v22 v23 v24 f24_IT v24a_IT v24b_IT v25 v26 v27 v28 v29 v30 f30a v30a v30b v30c v47
v49 v56 v57 v58 v59 v60 v61 v62 v63 v64 v73 v73_DE v74 v74_DE v76 v76_DE v77 v77_DE v112 f112_SE
v117 v120 v122 v124 v126 v129 v131 v151 v153 v154 v155 v157 v158 v160 v161 v164 v165 v166
v167 v168 v189 v190 v191 v192 v193 v194 v195 v196 v197
!ENDDEFINE.


* BLOCK: C. 
DEFINE !varlist_C()
v9 v10 v11 v12 v13 v14 v15 v16 v17 v18 v19 f20 v20 v20a v20b v21 v32 v33 v34 v35 
v36 v37 v80 v103 v104 v105 v106 v107 v116 v119 v123 v125 v127 v130 v132 v149
v150 v152 v156 v159 v162 v163 v185 v186 v187 v188 v198 v212 v213 v214 v215 v216 
v217 v218 v219 v220
!ENDDEFINE.

* BLOCK: D. 
DEFINE !varlist_D()
v97 v98 v99 v100 v101 f108 v108 v109 f110 v110 v111 v111_4 v133 v133_11c v134
v134_11c v135 v135_11c v136 v136_11c v137 v137_11c v138 v138_11c v139 v139_11c
v140 v140_11c v141 v141_11c v142 v143 v145 v146 v147 v148 v171 v172 v173
v174_LR v174_cs v175_LR v175_cs v176 v176_DK v177 v177_DK v178 v178_DK v179
v179_DK v180 v180_DK v181 v181_DK v182 v182_DK v183 v183_DK v199 f199_IT v200
v201 v202 v203 v204 v205 v206 v207 v208 v209 v210 v211 v221 v221_DK 
v222 v222_DK v223 v223_DK v224 v224_DK
!ENDDEFINE.


***************************************************************************************
*** III. MATRIX DESIGN follow up removal
**************************************************************************************.
FREQUENCIES mm_matrix_group.
*             [Keep]        {Remove}   
* Group 1 [AB]            {CD}
* Group 2 [AC]            {BD}   
* Group 3 [AD]            {BC}
* Group 4 [BC]            {AD}
* Group 5 [BD]            {AC}
* Group 6 [CD]            {AB}

* Now:
* - how to retain missing values - perhaps done!
* - how to make sure it works with varlist

* CHECK BEFORE.
CROSSTABS v85 by mm_matrix_group/MISSING INCLUDE. 
CROSSTABS v251b by mm_matrix_group/MISSING INCLUDE. 
CROSSTABS v131 by mm_matrix_group /MISSING INCLUDE. 
CROSSTABS v159 by mm_matrix_group /MISSING INCLUDE. 
CROSSTABS v97 by mm_matrix_group /MISSING INCLUDE. 


* Set variables corresponding to FU block to -9 "No FU" conditionally on group membership. Be aware: only run in cases with matrix + minipanel (DO IF).

* Block A.
DO IF mm_mixed_mode=3.
DO REPEAT
A= !varlist_A.
IF NOT MISSING(A) AND (mm_matrix_group=4 | mm_matrix_group=5 | mm_matrix_group=6) A=-9.
end repeat.
END IF.

*v251b is a string, hence it needs to be set to -9 manually.
MISSING VALUES v251b(-9).
DO IF mm_mixed_mode=4.
IF NOT MISSING(v251b) AND (mm_matrix_group=4 | mm_matrix_group=5 | mm_matrix_group=6) v251b='-9'  .
END IF.
ADD VALUE LABELS v251b -9 'no follow-up'.

* Block B.
DO IF mm_mixed_mode=3.
DO REPEAT
B= !varlist_B.
IF NOT MISSING(B) AND (mm_matrix_group=2 | mm_matrix_group=3 | mm_matrix_group=6) B=-9.
end repeat.
end if.

* Block C. 
DO IF mm_mixed_mode=3.
DO REPEAT
C= !varlist_C.
IF NOT MISSING(C) AND (mm_matrix_group=1 | mm_matrix_group=3 | mm_matrix_group=5) C=-9.
end repeat.
end if.

* Block D. 
DO IF mm_mixed_mode=3.
DO REPEAT
D= !varlist_D.
IF NOT MISSING(D) AND (mm_matrix_group=1 | mm_matrix_group=2 | mm_matrix_group=4) D=-9.
end repeat.
end if.

* CHECK AFTER. 
CROSSTABS v85 by mm_matrix_group/MISSING INCLUDE. 
CROSSTABS v251b by mm_matrix_group /MISSING INCLUDE. 
CROSSTABS v131 by mm_matrix_group /MISSING INCLUDE. 
CROSSTABS v159 by mm_matrix_group /MISSING INCLUDE. 
CROSSTABS v97 by mm_matrix_group /MISSING INCLUDE. 



***************************************************************************************
*** IV. Recode mm_matrix_group for consistency.
**************************************************************************************.
RECODE mm_matrix_group(1=11)(2=21)(3=31)(4=41)(5=51)(6=61)(else=COPY).

CROSSTABS v85 by mm_matrix_group.
CROSSTABS v251b by mm_matrix_group.
CROSSTABS v131 by mm_matrix_group.
CROSSTABS v159 by mm_matrix_group. 
CROSSTABS v97 by mm_matrix_group.

FREQUENCIES mm_matrix_group.
